import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import * as Mock from "mockjs";
import {MineService} from "../mine.service";

@Component({
    selector: 'page-operation',
    templateUrl: 'operation.html',
})
export class OperationPage {

    dbList = [];

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private mine: MineService) {
    }

    ionViewDidLoad() {
        this.getList();
    }

    getList() {
        const data = {
            page:1,
            limit:10,
            flag:0
        };
        this.mine.dblog(data).subscribe(
            (res) => {
                this.dbList = res.page.list.log;
            }
        )
    }

}
